class People extends Shadow {
    render() {
        VStack(() => {
            h1("Members")
                .fontWeight("bold")
                .marginBottom(2, em)

            for(let i = 0; i < global.currentNetwork.data.members.length; i++) {
                let member = global.currentNetwork.data.members[i]
                HStack(() => {
                    p(member.firstName + " " + member.lastName)
                    .width(10, pct)
                    p(member.email)
                    .width(10, pct)
                })
            }
        })
        .gap(0.5, em)
        .paddingTop(4, pct)
        .paddingLeft(5, pct)
        .width(100, pct)
        .height(100, pct);
    }
}

register(People)